summaryrefslogtreecommitdiffstats
path: root/src/ceph/qa/workunits/rados/test.sh
diff options
context:
space:
mode:
authorQiaowei Ren <qiaowei.ren@intel.com>2018-03-01 14:38:11 +0800
committerQiaowei Ren <qiaowei.ren@intel.com>2018-03-01 14:38:11 +0800
commit7da45d65be36d36b880cc55c5036e96c24b53f00 (patch)
treed4f944eb4f8f8de50a9a7584ffa408dc3a3185b2 /src/ceph/qa/workunits/rados/test.sh
parent691462d09d0987b47e112d6ee8740375df3c51b2 (diff)
remove ceph code
This patch removes initial ceph code, due to license issue. Change-Id: I092d44f601cdf34aed92300fe13214925563081c Signed-off-by: Qiaowei Ren <qiaowei.ren@intel.com>
Diffstat (limited to 'src/ceph/qa/workunits/rados/test.sh')
-rwxr-xr-xsrc/ceph/qa/workunits/rados/test.sh51
1 files changed, 0 insertions, 51 deletions
diff --git a/src/ceph/qa/workunits/rados/test.sh b/src/ceph/qa/workunits/rados/test.sh
deleted file mode 100755
index cbf398f..0000000
--- a/src/ceph/qa/workunits/rados/test.sh
+++ /dev/null
@@ -1,51 +0,0 @@
-#!/bin/bash -ex
-
-parallel=1
-[ "$1" = "--serial" ] && parallel=0
-
-color=""
-[ -t 1 ] && color="--gtest_color=yes"
-
-function cleanup() {
- pkill -P $$ || true
-}
-trap cleanup EXIT ERR HUP INT QUIT
-
-declare -A pids
-
-for f in \
- api_aio api_io api_list api_lock api_misc \
- api_tier api_pool api_snapshots api_stat api_watch_notify api_cmd \
- api_service \
- api_c_write_operations \
- api_c_read_operations \
- list_parallel \
- open_pools_parallel \
- delete_pools_parallel \
- watch_notify
-do
- if [ $parallel -eq 1 ]; then
- r=`printf '%25s' $f`
- bash -o pipefail -exc "ceph_test_rados_$f $color 2>&1 | tee ceph_test_rados_$f.log | sed \"s/^/$r: /\"" &
- pid=$!
- echo "test $f on pid $pid"
- pids[$f]=$pid
- else
- ceph_test_rados_$f
- fi
-done
-
-ret=0
-if [ $parallel -eq 1 ]; then
-for t in "${!pids[@]}"
-do
- pid=${pids[$t]}
- if ! wait $pid
- then
- echo "error in $t ($pid)"
- ret=1
- fi
-done
-fi
-
-exit $ret